public class GainControl implements AudioEffect {
  private float gain=0.5;
  
  void process(float[] samp) {
    float[] newsamp = new float[samp.length];
    for (int j = 0; j < samp.length ; j++) {
      newsamp[j] = samp[j]*gain;
    }
    arraycopy(newsamp, samp);
  }

  
  void process(float[] left, float[] right) {
    process(left);
    process(right);
  }
  
  public void setGain(float val) {
    this.gain = val;
  }
  
  public float gain() {
    return this.gain;
  }
}
