
class Particle extends VerletParticle2D {

  float timer;
  float colorChange;
  float size;
  char letter;
  float red;

  Particle(float x, float y) {
    super(x, y);
    timer=150;
    colorChange = 255;
    size = random(32,100);
    this.addForce(new Vec2D(random(-3,3), random(-3, 3)));
    counter = (counter + 1) % TailleString;
    letter  = letters.charAt(counter);
    // char letter  = letters.charAt(0);
    // println(letter);
    red = random(255);
  }

  void display() {
    fill(red - colorChange/2 , 255 - colorChange , colorChange , timer);
    noStroke();
    ellipse(x, y, size, size);
    fill(255,255);
      textAlign(CENTER, CENTER);
      textFont(myFont, 48);
    text(letter,x,y);
    // text("Z",x,y);
//text("Sp1R4l",x,y);
  }

  void update()
  {
    super.update();
    timer -= 0.5;
    colorChange -= 4.3;
  }

  boolean dead()
  {
    if (timer<=0.0 || sq(x) > (sq(width)+sq(height))/2 || sq(y) > (sq(width)+sq(height))/2)
    {
      return(true);
    }
    else
    {
      return(false);
    }
  }
}

